%define module xattr
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:       		python-%{module}
Version:	      0.9.9
Release:	      %mkrel 1
Summary:        Extended attributes for python
License:	      MIT
Group:		      Development/Python
URL:		        http://pypi.python.org/pypi/xattr
Source:		      xattr-%{version}.tar.xz
BuildRequires:	lib64attr1-devel
BuildRequires:	lib64ffi-devel

%description
python-xattr is a C extension module for Python which implements
extended attributes manipulation. It is a wrapper on top of the
attr C library - see attr(5).

%package -n python3-%{module}
Summary:	      Extended attributes for Python 3
Group:		      Development/Python
BuildRequires:  python3-devel
Requires:       python3-cffi
Requires:       python3-setuptools

%description -n python3-xattr
python-xattr is a C extension module for Python 3 which implements
extended attributes manipulation. It is a wrapper on top of the
attr C library - see attr(5).

%prep
%setup -qn %{module}-%{version}
rm -rf %{module}.egg-info
cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}
popd

cp -vf %{buildroot}%{_bindir}/%{module} %{buildroot}%{_bindir}/python3-%{module}
perl -pi -e 's:^#!%{__python2}:#!%{__python3}:g' %{buildroot}%{_bindir}/python3-%{module}
rm -f %{buildroot}%{_bindir}/%{module}

%files -n python3-xattr
%{_bindir}/python3-%{module}
%{python3_sitearch}/*

%changelog
* Wed Aug 17 2022 tex - 0.9.9-1pclos2022
- new version

